%define anolis_release 1

Summary: X Fixes library
Name: libXfixes
Version: 6.0.1
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

Requires: libX11 >= 1.6

BuildRequires: make
BuildRequires: pkgconfig(fixesproto) >= 6.0
BuildRequires: pkgconfig(x11) >= 1.6
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(xorg-macros) >= 1.8
BuildRequires: pkgconfig(xproto) >= 7.0.22

%description
X Fixes library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
libXfixes development package

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%doc COPYING
%dir %{abidir}
%{_libdir}/libXfixes.so.*
%{abidir}/libXfixes.dump

%files doc
%doc AUTHORS README.md

%files devel
%{_includedir}/X11/extensions/Xfixes.h
%{_libdir}/libXfixes.so
%{_libdir}/pkgconfig/xfixes.pc
%{_mandir}/man3/Xfixes.3*

%changelog
* Mon Apr 10 2023 Funda Wang <fundawang@yeah.net> - 6.0.1-1
- New version 6.0.1

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.0.0-2
- add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.0.0-1
- Init from upstream version 6.0.0

